Skip to content
Справочник APIPlatformPlatform billing

Platform_bulk_migrate_price_preview

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

POST
/platform/v1/billing/subscriptions/bulk-migrate-price/preview

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/platform/v1/billing/subscriptions/bulk-migrate-price/preview" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{    "filter": {      "from_price_id": "af4ca7a2-27c2-4a37-882c-6b342a553764"    }  }'
{  "matched": 0,  "sample": [    {      "amount_minor": 0,      "billing_account_id": "db2251e5-5308-40a7-9f48-3aed5a9ce736",      "currency": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "plan_id": "00713021-9aea-41da-9a88-87760c08fa72",      "status": "pending",      "vendor_type": "stripe"    }  ]}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}